unit ufrmTools;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, ExtCtrls;

type
  TfrmTools = class(TForm)
    GroupBox1: TGroupBox;
    btnPincel: TSpeedButton;
    btnRelleno: TSpeedButton;
    tbPincel: TTrackBar;
    Label1: TLabel;
    shpPincel: TShape;
    bvPincel: TBevel;
    Label2: TLabel;
    pnlPincel: TPanel;
    pnlRelleno: TPanel;
    GroupBox2: TGroupBox;
    tbAncho: TTrackBar;
    tbAlto: TTrackBar;
    Label3: TLabel;
    Label4: TLabel;
    btnActualizar: TButton;
    Label5: TLabel;
    GroupBox3: TGroupBox;
    tbDivisiones: TTrackBar;
    procedure FormCreate(Sender: TObject);
    procedure tbPincelChange(Sender: TObject);
    procedure pnlPincelDblClick(Sender: TObject);
    procedure tbAnchoChange(Sender: TObject);
    procedure btnActualizarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTools: TfrmTools;

implementation

uses ufrmMain;

{$R *.dfm}

procedure TfrmTools.btnActualizarClick(Sender: TObject);
var
  Bitmap: TBitmap;
begin
  if frmMain.imgMain.Picture.Graphic <> nil then
  begin
    Bitmap:= TBitmap.Create;
    try
      Bitmap.Canvas.Brush.Color:= frmMain.imgMain.Canvas.Brush.Color;
      Bitmap.Width:= tbAncho.Position;
      Bitmap.Height:= tbAlto.Position;
      Bitmap.Canvas.Draw(
        (Bitmap.Width - frmMain.imgMain.Picture.Width) div 2,
        (Bitmap.Height - frmMain.imgMain.Picture.Height) div 2,
        frmMain.imgMain.Picture.Bitmap);
      frmMain.imgMain.Picture.Assign(Bitmap);
      frmMain.Centro:= Point(Bitmap.Width div 2,Bitmap.Height div 2);
    finally
      Bitmap.Free;
    end;
  end;
end;

procedure TfrmTools.FormCreate(Sender: TObject);
begin
  ParentWindow:= frmMain.Handle;
  tbPincelChange(nil);
  tbAnchoChange(nil);
end;

procedure TfrmTools.pnlPincelDblClick(Sender: TObject);
begin
  if Sender is TPanel then
    with TcolorDialog.Create(nil) do
    try
      Color:= TPanel(Sender).Color;
      if Execute then
      begin
        TPanel(Sender).Color:= Color;
        if frmMain.imgMain.Picture.Graphic <> nil then
          frmMain.ImgMain.Canvas.Brush.Color:= Color;
      end;
    finally
      Free;
    end;
end;

procedure TfrmTools.tbAnchoChange(Sender: TObject);
begin
  Label5.Caption:= Format('%dx%d',[tbAncho.Position,tbAlto.Position]);
end;

procedure TfrmTools.tbPincelChange(Sender: TObject);
begin
  shpPincel.Width:= tbPincel.Position;
  shpPincel.Height:= tbPincel.Position;
  shpPincel.Left:= bvPincel.Left + ((bvPincel.Width - shpPincel.Width) div 2);
  shpPincel.Top:= bvPincel.Top + ((bvPincel.Height - shpPincel.Height) div 2);
  if frmMain.imgMain.Picture.Graphic <> nil then
    frmMain.imgMain.Canvas.Pen.Width:= tbPincel.Position;
end;

end.
